Name:           help2man
Version:        1.49.3
Release:        %mkrel 4
Summary:        Create simple man pages from --help output
Group:          Development/Other
License:        GPL-3.0-or-later
URL:            https://www.gnu.org/software/help2man/
Source0:        https://ftp.gnu.org/gnu/help2man/%{name}-%{version}.tar.xz
BuildRequires:  perl(Locale::gettext)

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a way
to generate a placeholder man page pointing to that resource while still
providing some useful information.

%prep
%autosetup

%build
%configure --enable-nls
%make_build

%install
%make_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc debian/changelog README NEWS THANKS
%license COPYING
%{_bindir}/%{name}
%{_libdir}/help2man/
%{_infodir}/%{name}*.info*
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.49.3-4.mga10
+ Revision: 2250219
- Mageia 10 Mass Rebuild

* Fri Mar 28 2025 daviddavid <daviddavid> 1.49.3-3.mga10
+ Revision: 2170607
- enable support for generating localised pages (nls)

* Fri Mar 28 2025 daviddavid <daviddavid> 1.49.3-2.mga10
+ Revision: 2170602
- rebuild for new perl

* Tue Dec 27 2022 luigiwalser <luigiwalser> 1.49.3-1.mga9
+ Revision: 1927228
- 1.49.3

* Thu Apr 21 2022 luigiwalser <luigiwalser> 1.49.2-1.mga9
+ Revision: 1852504
- 1.49.2

* Mon Mar 21 2022 umeabot <umeabot> 1.49.1-2.mga9
+ Revision: 1816388
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 luigiwalser <luigiwalser> 1.49.1-1.mga9
+ Revision: 1784653
- 1.49.1

* Thu Aug 26 2021 luigiwalser <luigiwalser> 1.48.5-1.mga9
+ Revision: 1742633
- 1.48.5

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.48.4-1.mga9
+ Revision: 1740712
- 1.48.4

* Fri Apr 09 2021 daviddavid <daviddavid> 1.48.3-1.mga9
+ Revision: 1714319
- new version: 1.48.3

* Thu Mar 04 2021 daviddavid <daviddavid> 1.48.2-1.mga9
+ Revision: 1697892
- new version: 1.48.2

* Sat Jul 04 2020 daviddavid <daviddavid> 1.47.16-1.mga8
+ Revision: 1601809
- new version: 1.47.16

* Tue Apr 28 2020 daviddavid <daviddavid> 1.47.15-1.mga8
+ Revision: 1572641
- new version: 1.47.15

* Sat Apr 25 2020 daviddavid <daviddavid> 1.47.14-1.mga8
+ Revision: 1571937
- new version: 1.47.14

* Tue Mar 17 2020 daviddavid <daviddavid> 1.47.13-1.mga8
+ Revision: 1557196
- new version: 1.47.13

* Wed Feb 19 2020 umeabot <umeabot> 1.47.12-2.mga8
+ Revision: 1542538
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 daviddavid <daviddavid> 1.47.12-1.mga8
+ Revision: 1476552
- new version: 1.47.12

* Mon Aug 19 2019 daviddavid <daviddavid> 1.47.11-1.mga8
+ Revision: 1430161
- new version: 1.47.11

* Sat Mar 23 2019 daviddavid <daviddavid> 1.47.10-1.mga7
+ Revision: 1379675
- new version: 1.47.10

* Tue Mar 19 2019 daviddavid <daviddavid> 1.47.9-1.mga7
+ Revision: 1378944
- new version: 1.47.9

* Sat Oct 13 2018 kekepower <kekepower> 1.47.8-1.mga7
+ Revision: 1320033
- Update to version 1.47.8

* Sun Sep 23 2018 daviddavid <daviddavid> 1.47.7-1.mga7
+ Revision: 1297174
- new version: 1.47.7

* Thu Sep 20 2018 umeabot <umeabot> 1.47.6-3.mga7
+ Revision: 1278656
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 1.47.6-2.mga7
+ Revision: 1256407
- rely on filetriggers for info system (mga#23482)

* Mon Apr 16 2018 kekepower <kekepower> 1.47.6-1.mga7
+ Revision: 1219399
- Update to version 1.47.6

* Tue Nov 28 2017 mjack <mjack> 1.47.5-1.mga7
+ Revision: 1180161
- Updated to version 1.47.5
- Removed INSTALL file in file section

* Tue May 10 2016 luigiwalser <luigiwalser> 1.47.4-1.mga6
+ Revision: 1012075
- 1.47.4

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.47.3-1.mga6
+ Revision: 917459
- 1.47.3

* Mon Feb 09 2015 luigiwalser <luigiwalser> 1.46.5-1.mga5
+ Revision: 814465
- 1.46.5

* Wed Oct 15 2014 umeabot <umeabot> 1.46.4-2.mga5
+ Revision: 748296
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 1.46.4-1.mga5
+ Revision: 738689
- 1.46.4

* Wed Oct 08 2014 luigiwalser <luigiwalser> 1.46.3-1.mga5
+ Revision: 737546
- 1.46.3

* Tue Sep 16 2014 umeabot <umeabot> 1.46.2-2.mga5
+ Revision: 680108
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1.46.2-1.mga5
+ Revision: 674240
- 1.46.2

* Fri Aug 01 2014 luigiwalser <luigiwalser> 1.46.1-1.mga5
+ Revision: 658813
- 1.46.1

* Thu Mar 27 2014 dams <dams> 1.45.1-1.mga5
+ Revision: 608925
- new version 1.45.1

* Thu Feb 06 2014 dams <dams> 1.44.1-1.mga5
+ Revision: 584148
- new version 1.44.1

* Sat Oct 19 2013 umeabot <umeabot> 1.43.3-2.mga4
+ Revision: 529739
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dams <dams> 1.43.3-1.mga4
+ Revision: 453040
- new version 1.43.3

* Thu May 23 2013 dams <dams> 1.41.2-1.mga4
+ Revision: 424974
- new version 1.41.2

* Tue Jan 22 2013 dams <dams> 1.41.1-1.mga3
+ Revision: 390687
- new version 1.41.1

* Sat Jan 12 2013 umeabot <umeabot> 1.40.13-2.mga3
+ Revision: 353171
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.40.13-1.mga3
+ Revision: 340891
- 1.40.13

* Wed Aug 29 2012 dams <dams> 1.40.12-1.mga3
+ Revision: 285473
- new version 1.40.12

* Wed Aug 08 2012 luigiwalser <luigiwalser> 1.40.11-1.mga3
+ Revision: 279912
- 1.40.11

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1.40.10-1.mga3
+ Revision: 275648
- 1.40.10

* Fri Jun 01 2012 dams <dams> 1.40.9-1.mga3
+ Revision: 252760
- new version 1.40.9

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.40.6-1.mga2
+ Revision: 218046
- 1.40.6

* Fri Jan 20 2012 fwang <fwang> 1.40.5-1.mga2
+ Revision: 198672
- new version 1.40.5

* Thu Jun 30 2011 ahmad <ahmad> 1.40.4-1.mga2
+ Revision: 117036
- Update to 1.40.4

* Sat Jan 08 2011 blino <blino> 1.38.1-2.mga1
+ Revision: 387
- imported package help2man


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.38.1-2mdv2011.0
+ Revision: 605853
- rebuild

* Tue Apr 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.38.1-1mdv2010.1
+ Revision: 539434
- New version 1.38.1

* Thu Dec 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.37.1-1mdv2010.1
+ Revision: 481961
- new version 1.37.1
- use %%configure instead of %%configure2_5x
- fix license tag
- fix Source url
- fix doc list (ChangeLog is only a symlink)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.36.4-7mdv2010.0
+ Revision: 425141
- rebuild

* Tue Dec 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1.36.4-6mdv2009.1
+ Revision: 321321
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.36.4-5mdv2009.0
+ Revision: 221126
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.36.4-4mdv2008.1
+ Revision: 150253
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.36.4-3mdv2008.0
+ Revision: 70271
- kill file require on info-install

* Thu Jul 05 2007 Adam Williamson <awilliamson@mandriva.org> 1.36.4-2mdv2008.0
+ Revision: 48484
- rebuild for 2008
- Import help2man



* Fri Sep 08 2006 David Walluck <walluck@mandriva.org> 1.36.4-1mdv2007.0
- 1.36.4

* Mon Aug 15 2005 David Walluck <walluck@mandriva.org> 1.35.1-1mdk
- release
